Getting a “Netscape security model is no longer supported” error when using IntelliJ

Steve Neal Java Programming 1 Comment

I’ve been working on a JMS application that uses encryption with JNDI authentication and have encountered the following error message when running it:

Netscape security model is no longer supported. Please migrate to the Java 2 security model instead.

It turns out that this is a problem with the JDK’s plugin.jar file and can be fixed quite easily by removing it from IntelliJ’s JDK configuration page as follows:

  1. In your project open the Project Structure dialog and click to edit the JDK you are working with
  2. Remove the plugin.jar file from the JDK classpath

That should fix it.

Comments 1

Leave a Reply

Your email address will not be published. Required fields are marked *